#![warn(clippy::all, rust_2018_idioms)]

pub mod app;
pub mod elements;
pub mod tabs;
pub use app::Dashboard;
use egui::Color32;

#[cfg(not(target_arch = "wasm32"))]
const IS_WEB: bool = false;
#[cfg(target_arch = "wasm32")]
const IS_WEB: bool = true;

// TODO use egui Visuals
const WARNING_COLOR: Color32 = Color32::ORANGE;
// TODO use egui Visuals
const ERROR_COLOR: Color32 = Color32::RED;
