amends "lib/simple-command.pkl"
import "lib/variants.pkl" as v

name = "hg.command.annotate"
copy_data_env = false

command = "hg annotate $FILES > /dev/null"
cwd = "DATA-VARS:mercurial.main-repo-path"

variants {
    ["files"] = (v.simple_command["file-reading-revs"]) {
        default_key = "file-with-long-history.a"
    }
    ["follow-copies"] {
        default_key = "yes"
        cases {
            ["yes"]{}
            ["no"]{extend_command = " --no-follow"}
        }
    }
    ["files-as-text"] {
        default_key = "no"
        cases {
            ["yes"]{extend_command = " --text"}
            ["no"]{}
        }
    }
    ["listed"] {
        default_key = "default"
        cases {
            ["default"] {}
            ["all"] {extend_command = " --user --file --date --changeset --line-number"}

        }
    }
}
