amends "lib/simple-command.pkl"
import "lib/variants.pkl" as v

name = "hg.command.cat"

// XXX this needs to be `true` if using `--output` to write to a file
copy_data_env = false

command = """
    hg cat $REV "$FILES" $TEMPLATE > /dev/null
    """
cwd = "DATA-VARS:mercurial.main-repo-path"
prepare_run = """
    # XXX We could only do this once before the benchmark instead of doing this for
    # each run, especially the one who do not need them.

    hg files $REV --template 'path:{path}\\n' | sort > ../all_sorted.path;
    shuf ../all_sorted.path --random-source=../all_sorted.path > ../all_suffled.path;

    hg files $REV --template 'filepath:{path}\\n' | sort > ../all_sorted.filepath;
    shuf ../all_sorted.filepath --random-source=../all_sorted.filepath > ../all_suffled.filepath;

    hg files $REV | sed 's/\\({\\|}\\|\\[\\|\\]\\|*\\|?\\)/\\\\\\1/g' | sort > ../all_sorted.pattern;
    shuf ../all_sorted.pattern --random-source=../all_sorted.pattern > ../all_suffled.pattern;
    """

variants {
    ["rev"] = (v.simple_command["rev-reading-target"]) {
        default_key = "tip"
    }
    ["output"] = v.simple_command["rev-reading-output-format"]
    ["files"] = v.simple_command["rev-reading-files"]
}
