amends "lib/simple-command.pkl"
import "lib/variants.pkl" as v

name = "hg.command.commit"
copy_data_env = true

environment {
    ["MAIN_REPO"] = "DATA-VARS:mercurial.main-repo-path"
}

command = "hg commit -m 'poulpebenchmarkrun' -R ../poulpe-temp-source"
prepare_run = """
cd "$POULPE_DATA_ENV_ROOT";
rm -rf poulpe-temp-source;
cp --archive --recursive --reflink=auto "$POULPE_CWD" poulpe-temp-source;
"""
variants {
    ["repo-state"] = (v.simple_command["repo-state"]) {
        default_key = "modified"
        cases {
            // Useful to test and empty commit, probably
            ["clean"] {
                acceptable_return_codes = new {1}
            }
        }
    }
}
