amends "lib/simple-command.pkl"

name = "hg.debug.convert"
// if we just had a tempory directory to write to, that would be enough
copy_data_env = true

command = """
    hg --config "extensions.convert=" convert $MAIN_REPO _temporary_convert_target
    """
prepare_run = "rm -rf _temporary_convert_target"

environment {
    ["MAIN_REPO"] = "DATA-VARS:mercurial.main-repo-path"
}

variants {
    // not sure why we register all these single case variant, but the toml
    // declare it.
    ["revisions"] {
        default_key = "all"
        cases {["all"]{}}
    }
    ["source"] {
        default_key = "mercurial"
        cases {["mercurial"]{}}
    }
    ["destination"] {
        default_key = "mercurial"
        cases {["mercurial"]{}}
    }
    ["filemap"] {
        default_key = "none"
        cases {["none"]{}}
    }
}

