amends "lib/simple-command.pkl"
import "lib/variants.pkl" as v
import "cat.pkl"

name = "hg.command.files"
copy_data_env = true

command="""
hg files $REV $FILES $TEMPLATE --config ui.interactive=no --config ui.paginate=no
"""


prepare_run = cat.prepare_run
cwd = "DATA-VARS:mercurial.main-repo-path"

variants {
    ["rev"] = (v.simple_command["rev-reading-target"]) {
        cases {
            ["working-copy"] {
                // this is the default and reduce change compared to the
                // reference toml. We might consider dropping this in the
                // future.
                environment {
                    ["REV"] = ""
                }
            }
        }
    }
    ["output"] = v.simple_command["rev-reading-output-format"]
    ["files"] = (v.simple_command["rev-reading-files"]) {
        default_key = "default"
        cases {
            ["default"] {
                environment {
                    ["FILES"] = ""
                }
            }
        }
    }
}
