amends "lib/perf.pkl"

name = "hg.perf.perf-bundle"
copy_data_env = false

command = "perf::bundle"
cwd = "DATA-VARS:mercurial.main-repo-path"
args {
    "--type"
    "none-v2"
}

variants {
    ["revs"] {
        default_key = "last-40000"
        cases {
            for (r in List(
                100000,
                40000,
                10000,
                1000,
                100,
                10,
                1
            )) {
                ["last-\(r)"] {
                    args {
                        "--rev"
                        "last(all(), \(r))"
                    }
                    constraints {
                        graph {
                            visible_revision_count {
                                min = r
                            }
                        }
                    }
                }
            }
        }
    }
}
