amends "lib/perf.pkl"

name = "hg.perf.perf-delta-find"
copy_data_env = false

command = "perf::delta-find"
cwd = "DATA-VARS:mercurial.main-repo-path"

constraints {
    compatible_revision_range = "34cc102c73f5::"
}

variants {
    ["rev"] {
        default_key = "manifest-snapshot-many-both-a"
        cases {
            for (b in List(
                "snapshot.many-tries",
                "snapshot.many-rounds",
                "snapshot.many-both",
                "merge.long-chain-both"
            )) {
                for (l in List("a","b", "c", "d", "e")) {

                    ["manifest-" + b.replaceAll(".", "-") +"-\(l)"] {
                        args {
                            "--manifest"
                            "DATA-VARS:mercurial.revlog.delta-find.manifest.\(b).\(l)"
                        }
                    }
                }
            }
        }
    }
}
