=====================================================
Check the listing of data environment in a Poulpe Den
=====================================================

  $ . $TESTDIR/testlib/base-test-setup.sh
  $ SRC_DIR=$TESTDIR/..

Setup a Den
-----------

  $ $PYTHON $SRC_DIR/bin/setup-poulpe-den listing-test-den
  Creating folders
  Create symlinks to Poulpe
  Installing poulpe (editable) into a new venv
  Creating a "bin/" directory with a few utilities
  Cloning repositories to benchmark
  Updating environment variables
  Poulpe Den ready to use in "$TESTTMP/listing-test-den"
  Run . "$TESTTMP/listing-test-den/bin/activate" to activate the environment
  $ cd listing-test-den
  $ . bin/activate

Setup some data-env
-------------------

XXX consider muting this

  $ "$TESTDIR/testlib/setup-test-data-env.sh" data-envs
  Creating the base data-env
  creating new file: "$TESTTMP/listing-test-den/data-env-1/data-env.poulpe"
  Registering graph details
  Registering the format details
  Setting up working-copy benchmarks
  Warning: running setup-working-copy without a data brick
  (non-default working-copy variants will be unavailable)
  Setting up `delta-find` benchmark (can take a very long time)
  Setting up `annotate` benchmark (can take up to a few minutes)
  Creating the base data-env
  creating new file: "$TESTTMP/listing-test-den/data-env-2/data-env.poulpe"
  Registering graph details
  Registering the format details
  Setting up working-copy benchmarks
  Warning: running setup-working-copy without a data brick
  (non-default working-copy variants will be unavailable)
  Setting up `delta-find` benchmark (can take a very long time)
  Setting up `annotate` benchmark (can take up to a few minutes)

Test listing itself
===================

vanillia run
------------

  $ poulpe den-list-data-envs
  data-envs/bar
  data-envs/foo

list details
------------

  $ poulpe den-list-data-envs --list-vars
  data-envs/bar
    mercurial:
      repo:
        format:
          changelog-v2 = no
          compression = zlib
          compression-level = default
          copies-sdc = no
          dirstate-v2 = no
          dotencode = yes
          fncache = yes
          generaldelta = yes
          persistent-nodemap = yes
          plain-cl-delta = yes
          revlog-v2 = no
          share-safe = yes
          sparserevlog = yes
          tracked-hint = no
        graph:
          draft-visible-revision-count = 3637
          hidden-revision-count = 0
          non-public-visible-revision-count = 3637
          obsmarker-count = 0
          obsolete-hidden-revision-count = 0
          obsolete-visible-revision-count = 0
          secret-visible-revision-count = 3637
          visible-revision-count = 3637
    name = ba-bar
  data-envs/foo
    mercurial:
      repo:
        format:
          changelog-v2 = no
          compression = zlib
          compression-level = default
          copies-sdc = no
          dirstate-v2 = no
          dotencode = yes
          fncache = yes
          generaldelta = yes
          persistent-nodemap = yes
          plain-cl-delta = yes
          revlog-v2 = no
          share-safe = yes
          sparserevlog = yes
          tracked-hint = no
        graph:
          draft-visible-revision-count = 11791
          hidden-revision-count = 0
          non-public-visible-revision-count = 11791
          obsmarker-count = 0
          obsolete-hidden-revision-count = 0
          obsolete-visible-revision-count = 0
          secret-visible-revision-count = 11791
          visible-revision-count = 11791
    name = foo-test

filter list
-----------

  $ poulpe den-list-data-envs --filter mercurial.repo.graph.visible-revision-count="re:^1....$"
  data-envs/foo
