=====================================
Test the generation of benchmark Task
=====================================

  $ . $TESTDIR/testlib/base-test-setup.sh
  $ SRC_DIR=$TESTDIR/..

Setup a Den
-----------

  $ $PYTHON $SRC_DIR/bin/setup-poulpe-den running-test-den
  Creating folders
  Create symlinks to Poulpe
  Installing poulpe (editable) into a new venv
  Creating a "bin/" directory with a few utilities
  Cloning repositories to benchmark
  Updating environment variables
  Poulpe Den ready to use in "$TESTTMP/running-test-den"
  Run . "$TESTTMP/running-test-den/bin/activate" to activate the environment
  $ cd running-test-den
  $ . bin/activate


Test automated setup of bin-envs
================================

  $ ls -1 bin-envs
  $ poulpe den-setup-bin-env 'hg:MERCURIAL_VERSION=6.8:MERCURIAL_FLAVOR=pure' | grep -v "adding remote bookmark"
  POULPE: using Python python3
  POULPE: Python version Python 3.* (glob)
  POULPE: Python executable path $TESTTMP/running-test-den/.venv/bin/python3
  POULPE: Python executable real path $TESTTMP/running-test-den/.venv/bin/python3
  POULPE: cloning mercurial from * (glob)
  (sharing from existing pooled repository *) (glob)
  searching for changes
  no changes found (?)
  adding changesets (?)
  adding manifests (?)
  adding file changes (?)
  added * changesets with * changes to * files* (glob) (?)
  new changesets * (glob) (?)
  POULPE: clone done
  POULPE: updating to 6.8
  2310 files updated, 0 files merged, 0 files removed, 0 files unresolved
  POULPE: building the virtual environment
  POULPE: flavor okay (pure)
  POULPE: installing Mercurial
  POULPE: install okay
  POULPE: no re2 module to install
  POULPE: cleaning up
  POULPE: creating the bin-env.shell file
  bin-envs/542e1c025b1aa5010386b448cff802f6a2dc8402719ee53c5806e7c49ca5cb49
  $ ls -1 bin-envs
  542e1c025b1aa5010386b448cff802f6a2dc8402719ee53c5806e7c49ca5cb49
  $ poulpe den-setup-bin-env 'hg:MERCURIAL_VERSION=6.8.2:MERCURIAL_FLAVOR=default' | grep -v "adding remote bookmark"
  POULPE: using Python python3
  POULPE: Python version Python 3.* (glob)
  POULPE: Python executable path $TESTTMP/running-test-den/.venv/bin/python3
  POULPE: Python executable real path $TESTTMP/running-test-den/.venv/bin/python3
  POULPE: cloning mercurial from * (glob)
  (sharing from existing pooled repository *) (glob)
  searching for changes
  no changes found
  POULPE: clone done
  POULPE: updating to 6.8.2
  2310 files updated, 0 files merged, 0 files removed, 0 files unresolved
  POULPE: building the virtual environment
  POULPE: flavor okay (default)
  POULPE: installing Mercurial
  POULPE: install okay
  POULPE: no re2 module to install
  POULPE: cleaning up
  POULPE: creating the bin-env.shell file
  bin-envs/497ab596677355e05929da39abe91bbb2197484c4ae9c5955d1fb126d51997fb
  $ ls -1 bin-envs
  497ab596677355e05929da39abe91bbb2197484c4ae9c5955d1fb126d51997fb
  542e1c025b1aa5010386b448cff802f6a2dc8402719ee53c5806e7c49ca5cb49

