# Details on benchmarks in Poulpe

A benchmark describe "something" we want to get performance data on. It is
defined in a "poulpe-benchmark-definition" file (`.pbd`). It will use code that
exists in a poulpe's "binary-environment" to benchmark that "something" on the
data present in a  poulpe's "binary-environment".

The `.pbd` files includes multiple metadata and definition. Some are common to
all type of benchmarks, some are specific to each type of benchmarks.


The benchmark definition have been tentatively moved to the PKL programming language and the documentation of how to define and configure them now lives in 

- suites/hg/benchmarks/lib/benchmark.pkl
- suites/hg/benchmarks/lib/perf.pkl
- suites/hg/benchmarks/lib/simple-command.pkl

As PKL is not widely available, we still generate and commit the associated ".pbd" file in the toml format. Make sure to regenerate them if you modify the pkl definition:

    make -C suites/hg/benchmarks/
