use crate::{elements::den_drawer::render_den_drawer, Dashboard};
use egui::{CentralPanel, Context, SidePanel};

pub fn render_den_tab(dashboard: &mut Dashboard, ctx: &Context) {
    SidePanel::left("den-left-panel").show(ctx, |ui| {
        if dashboard.den.is_some() {
            render_den_drawer(dashboard.den.as_ref(), ui);
        } else {
            dashboard.no_den_message(ui);
        }
    });
    CentralPanel::default().show(ctx, |_ui| {
        // TODO what's interesting here?
    });
}
