amends "lib/simple-command.pkl"

name = "hg.debug.debug-update-cache"

copy_data_env = true

command = "hg debugupdatecache"
prepare_run = """
    if [ -n "$DELETE_FNODES_CACHE" ]; then
        rm .hg/cache/hgtagsfnodes*;
    fi
    if [ -n "$DELETE_RBC_CACHE" ]; then
        rm .hg/cache/rbc-*;
    fi
    """

cwd = "DATA-VARS:mercurial.main-repo-path"

variants {
    ["pre-state"] {
        default_key = "warm"
        cases {
            ["warm"]{}
            ["no-hgtags-fnodes"]{
                environment {
                    ["DELETE_FNODES_CACHE"] = "1"
                }
            }
            ["no-rev-branch-cache"]{
                environment {
                    ["DELETE_RBC_CACHE"] = "1"
                }
            }
        }
    }
}
