amends "lib/simple-command.pkl"

name = "hg.command.log"
copy_data_env = false

command = "hg log > /dev/null"
cwd = "DATA-VARS:mercurial.main-repo-path"

variants {
    ["limit-rev"] {
        default_key = "1000"
        cases {
            for (l in List(1000, 10, 1)) {
                ["\(l)"] {
                    extend_command = " --limit \(l)"
                }
            }
        }
    }
    ["patch"] {
        default_key = "no"
        cases {
            ["no"]{}
            ["yes"]{extend_command = " --patch"}
        }
    }
    ["rev"] {
        default_key = "none"
        cases {
            ["none"] {}
            ["tip"] {extend_command = " --rev tip"}
            ["minus-one"] {extend_command = " --rev -1"}
            ["reverse-all"] {extend_command = " --rev \"reverse(all())\""}
            ["all"] {extend_command = " --rev \"all()\""}
            ["heads-all"] {extend_command = " --rev \"heads(all())\""}
            ["public"] {extend_command = " --rev \"public()\""}
            ["reverse-public"] {extend_command = " --rev \"reverse(public())\""}
            ["heads-public"] {extend_command = " --rev \"heads(public())\""}
        }
    }
}
