amends "lib/perf.pkl"
import "lib/variants.pkl" as v

name = "hg.perf.unbundle"
copy_data_env = true

command = "perf::unbundle"
setup_script = "hg debugupdatecache -R $MAIN_REPO"
args {
    "--repository"
    "DATA-VARS:mercurial.main-repo-path"
}

environment {
    ["MAIN_REPO"] = "DATA-VARS:mercurial.main-repo-path"
}

variants {
    ["issue6528"] = v.perf["issue6528"]
    ["source"] {
        default_key = "default"
        cases {
            ["default"] {}
            ["push"] { args{"--as-push"} }
        }
    }
    ["revs"] = (v.perf["bundled-revs"]) {
        default_key = "any-10000-extra-rev"
    }
}
