amends "lib/simple-command.pkl"
import "lib/variants.pkl" as v

name = "hg.command.status"
method = "simple-command"

copy_data_env = false

command = "hg status"

variants {
    ["list-copies"] {
        default_key = "no"
        cases {
            ["no"] {}
            ["yes"] {extend_command = " --copies"}
        }
    }
    ["listed"] {
        default_key = "default"
        cases {
            ["default"] {}
            ["all"] {extend_command = " --all"}
            ["mard"] {extend_command = " -mard"}
            ["mardu"] {extend_command = " -mardu"}
            ["mardui"] {extend_command = " -mardui"}
            ["a"] {extend_command = " -a"}
        }
    }
    ["repo-state"] = (v.simple_command["repo-state"]) {
        default_key = "clean"
    }
    ["range"] {
        default_key = "working-copy"
        cases {
            ["working-copy"] {}
            ["change-tip"] {extend_command = " --change tip"}
            // XXX we should get data-env vars for these, but good enough for
            // now
            ["change-1000th-tiprev"] {extend_command = " --change -10000"}
            ["change-1000th-rev"] {extend_command = " --change 10000"}
            ["from-null-to-tip"] {extend_command = " --rev null --rev tip"}
            ["from-tip-to-null"] {extend_command = " --rev null --rev null"}
            // That one drive the copy tracing tracy because all the added files
            ["from-rev-0-to-tip"] {extend_command = " --rev 0 --rev tip"}
            ["from-1000th-tiprev-to-tip"] {extend_command = " --rev -1000 --rev tip"}
            ["from-null-to-1000th"] {extend_command = " --rev null --rev 1000"}
            ["from-rev-0-to-1000th"] {extend_command = " --rev 0 --rev 1000"}

            // combine with the working copy
            ["from-null"] {extend_command = " --rev null"}
            ["from-tip"] {extend_command = " --rev null"}
            // That one drive the copy tracing tracy because all the added files
            ["from-rev-0"] {extend_command = " --rev 0"}
            ["from-1000th-tiprev"] {extend_command = " --rev -1000"}
        }
    }

}

