#!/bin/bash
set -Eeuo pipefail

this_dir="`dirname $0`"
this_dir="`realpath $this_dir`"

campaign_name=$1
shift

campaign_file=$this_dir/$campaign_name-campaign.pkl

if [ ! -f $campaign_file ]; then
    echo "cannot generate campaign: $campaign_name" >&2
    echo " missing file: $campaign_file" >&2
    exit 1
fi

if [[ -v POULPE_BASE_DIR ]]; then
    cd ${POULPE_BASE_DIR}
   fi

bash <(pkl eval $campaign_file) "$@" | $this_dir/grouped-shuffle

