===================================================
Test the listing of Binary Environment Setup script
===================================================

  $ . $TESTDIR/testlib/base-test-setup.sh
  $ SRC_DIR=$TESTDIR/..

Setup a Den
-----------

  $ $PYTHON $SRC_DIR/bin/setup-poulpe-den listing-test-den
  Creating folders
  Create symlinks to Poulpe
  Installing poulpe (editable) into a new venv
  Creating a "bin/" directory with a few utilities
  Cloning repositories to benchmark
  Updating environment variables
  Poulpe Den ready to use in "$TESTTMP/listing-test-den"
  Run . "$TESTTMP/listing-test-den/bin/activate" to activate the environment
  $ cd listing-test-den
  $ . bin/activate

Test listing itself
===================

vanillia run
------------

  $ poulpe den-list-bin-env-setups
  hg:
    * MERCURIAL_VERSION  an identifier of the Mercurial version we want to install
      - REQUIRED
      - type: <revspec>
    * PYTHON_VERSION     a path to the Python to use for the bin env
      - Optional (default: "python3")
      - type: <file-path>
    * MERCURIAL_REPO_URL a path to a mercurial clone
      - Optional (default: "https://foss.heptapod.net/mercurial/mercurial-devel/")
      - type: <url>
    * MERCURIAL_FLAVOR   the type of installation
      - Optional (default: "default")
      - type: choice
        ~ default  Mercurial as you would get it by default for that platform and version
        ~ pure     Pure Python implementation of Mercurial
        ~ no-rust  Mercurial with Cext compiled extension but no rust ones
        ~ rust     Mercurial with all available compiled extensions, including the Rust one
        ~ rhg      the pure Rust fastpath, (with fallback when needed)
    * MERCURIAL_PY_RE2   Name of an optional python binding to the re2 library to install
      - Optional (default: "none")
      - type: choice
        ~ google-re2  Use the google-re2 module for binding
        ~ none        Don't use an re2 binding
    * EVOLVE_VERSION     an optional identifier of the evolve version we want to install
      - Optional (default: "")
      - type: <revspec>
    * EVOLVE_REPO_URL    a path to a evolve clone
      - Optional (default: "https://foss.heptapod.net/mercurial/evolve/")
      - type: <url>
  swh:
    * loader-version an identifier of the swh-loader-git version we want to install
      - REQUIRED
      - type: <git-revision>
    * target-repo    a path to the repo of swh-loader-git
      - Optional (default: "https://gitlab.softwareheritage.org/swh/devel/swh-loader-git")
      - type: <url>
    * python-version a path to the Python to use for the bin env
      - Optional (default: "python3")
      - type: <file-path>
    * dulwich-flavor a path to the Python to use for the bin env
      - Optional (default: "auto")
      - type: choice
        ~ autho     use pure on pypy
        ~ compiled  use the compiled extension
        ~ pure      use the pure python implementation
